from UtilsRPE.Functions import load_vault, save_variable_list, load_variable_list


def translate_vault(list1, path1, path2):
    vault01 = load_vault(path1)
    vault02 = load_vault(path2)
    list_of_equivalent_id = []
    id_in_list = load_variable_list(list1)
    variables01 = [vault01.get_variable_by_id(id) for id in id_in_list]
    variables02 = [var for var in vault02.variables if var.id]
    for var01 in variables01:
        name01 = var01.name
        routine01 = var01.routine.name
        module01 = var01.routine.module.name
        for var02 in variables02:
            id02 = var02.id
            name02 = var02.name
            routine02 = var02.routine.name
            module02 = var02.routine.module.name
            if name02 == name01 and routine02 == routine01 and module02 == module01:
                list_of_equivalent_id.append(id02)
                variables02.remove(var02)
                break
    save_variable_list(list_of_equivalent_id, 'equivalent_ids', vault02)

if __name__ == "__main__":
    list1 = "/home/Earth/sparonuz/DATA/VaultTranslateFiles/variables_from_vault_01.txt"
    path1 = "/home/Earth/sparonuz/DATA/VaultTranslateFiles/vault_01.pkl"
    path2 = "/home/Earth/sparonuz/DATA/VaultTranslateFiles/vault_02.pkl"
    translate_vault(list1, path1, path2)
